%import pyeole.ssha

SET NAMES utf8;
SET time_zone = '+00:00';
SET foreign_key_checks = 0;
SET sql_mode = 'NO_AUTO_VALUE_ON_ZERO';

INSERT IGNORE INTO `niveau01` (`id`, `label`, `siren`) VALUES
%if %%is_defined("ninegate_niveau01name")
(-100, '%%ninegate_niveau01name', '%%ninegate_niveau01siren');
%else
(-100, '%%libelle_etab', '%%numero_etab');
%end if

%if %%getVar("ninegate_syncldap", 'non') == "oui"
INSERT IGNORE INTO `user` (`id`, `niveau01_id`, `username`, `firstname`, `lastname`, `password`, `email`, `avatar`, `role`,`siren`,`authlevel`) VALUES
(-100, -100, 'admin', 'Administrateur', '%%ninegate_organization', '%%pyeole.ssha.ssha_encode(%%ninegate_pwdadmin)', '%%system_mail_to', 'admin.jpg', 'ROLE_ADMIN', '%%ninegate_niveau01siren', 'simple');
%else
INSERT IGNORE INTO `user` (`id`, `niveau01_id`, `username`, `firstname`, `lastname`, `password`, `email`, `avatar`, `role`,`siren`,`authlevel`) VALUES
(-100, -100, 'admin', 'Administrateur', '%%libelle_etab', 'PWD_CAS', '%%system_mail_to', 'admin.jpg', 'ROLE_ADMIN', '%%numero_etab', 'simple');
%end if



TRUNCATE TABLE sidebar;
INSERT IGNORE INTO `sidebar` (`id`, `parent_id`, `roworder`, `label`, `path`, `fonticon`, `permission`, `appactivate`) VALUES
(1000,	NULL,	1000,	'CONFIGURATION',	    NULL,	                                    'fa fa-cog',	            'ROLE_ADMIN,ROLE_MODO', ''),
(1010,	1000,	1010,	'Générale',	            'cadoles_core_config_commun',	            'fa fa-table',	            'ROLE_ADMIN,ROLE_MODO', ''),
(1020,	1000,	1020,	'Thème',	            'cadoles_core_config_theme',	            'fa fa-paint-brush',        'ROLE_ADMIN,ROLE_MODO', ''),
(1030,	1000,	1030,	'Modération',           'cadoles_core_config_permmodo',	            'fa fa-balance-scale',      'ROLE_ADMIN',           ''),
(1040,	1000,	1040,	'Fiche Utilisateur',    'cadoles_core_config_datauser',	            'fa fa-cog',                'ROLE_ADMIN,ROLE_MODO', ''),
(1050,	1000,	1050,	'Liste Utilisateurs',   'cadoles_core_config_datausers',            'fa fa-cog',                'ROLE_ADMIN,ROLE_MODO', ''),

(1200,	NULL,	1200,	'ORGANISATION',	        NULL,	                                    'fa fa-sitemap',	        'ROLE_ADMIN,ROLE_MODO', ''),
(1210,	1200,	1210,	'Listes Blanche',	    'cadoles_core_config_whitelist',	        'fa fa-tasks',	            'ROLE_ADMIN,ROLE_MODO', ''),
(1220,	1200,	1220,	'Niveau 01',	        'cadoles_core_config_niveau01',	            'fa fa-building',	        'ROLE_ADMIN,ROLE_MODO', ''),
%if %%getVar("ninegate_niveau02view", 'non') == "oui"
(1230,	1200,	1230,	'Niveau 02',	        'cadoles_core_config_niveau02',	            'fa fa-sitemap',	        'ROLE_ADMIN,ROLE_MODO', ''),
%end if
(1240,	1200,	1240,	'Groupes',	            'cadoles_core_config_group',	            'fa fa-users',	            'ROLE_ADMIN,ROLE_MODO', ''),
(1250,	1200,	1250,	'Inscriptions',	        'cadoles_core_config_registration',	        'fa fa-edit',               'ROLE_ADMIN,ROLE_MODO', ''),
(1260,	1200,	1260,	'Utilisateurs',	        'cadoles_core_config_user',	                'fa fa-child',	            'ROLE_ADMIN,ROLE_MODO', ''),

(1500,	NULL,	1500,	'PORTAIL',	            NULL,	                                    'fa fa-cubes',	            'ROLE_ADMIN,ROLE_MODO', 'portal_activate'),
(1510,	1500,	1510,	'Modèles de Page',	    'cadoles_portal_config_pagetemplate',       'fa fa-copy',               'ROLE_ADMIN,ROLE_MODO', 'portal_activate'),
(1520,	1500,	1520,	'Pages',	            'cadoles_portal_config_page',               'fa fa-file',               'ROLE_ADMIN,ROLE_MODO', 'portal_activate'),
(1530,	1500,	1530,	'Items',	            'cadoles_portal_config_item',               'fa fa-desktop',            'ROLE_ADMIN,ROLE_MODO', 'portal_activate'),
(1540,	1500,	1540,	'Annonces',	            'cadoles_portal_config_alert',              'fa fa-bell',               'ROLE_ADMIN,ROLE_MODO', 'portal_activate'),
(1550,	1500,	1550,	'Calendriers',          'cadoles_portal_config_calendar',           'fa fa-calendar',           'ROLE_ADMIN,ROLE_MODO', 'portal_activate'),
(1560,	1500,	1560,	'Blogs',                'cadoles_portal_config_blog',               'fa fa-paper-plane',        'ROLE_ADMIN,ROLE_MODO', 'portal_activate'),
(1570,	1500,	1570,	'Projets',              'cadoles_portal_config_project',            'fa fa-suitcase',           'ROLE_ADMIN,ROLE_MODO', 'portal_activate'),
(1580,	1500,	1580,	'Flux',	                'cadoles_portal_config_flux',               'fa fa-rss',                'ROLE_ADMIN,ROLE_MODO', 'portal_activate'),
(1590,	1500,	1590,	'Chartes',	            'cadoles_portal_config_notice',             'fa fa-info',               'ROLE_ADMIN,ROLE_MODO', 'portal_activate'),
(1600,	1500,	1600,	'Icônes',	            'cadoles_portal_config_icon',               'fa fa-bug',	            'ROLE_ADMIN,ROLE_MODO', 'portal_activate'),

(2500,	NULL,	2500,	'MODULES', 	            NULL,	                                    'fa fa-cubes',	            'ROLE_ADMIN,ROLE_MODO', 'module_activate'),
(2510,	2500,	2510,	'Pages',	            'cadoles_portal_config_page',               'fa fa-file',               'ROLE_ADMIN,ROLE_MODO', 'page_activate'),
(2520,	2500,	2520,	'Items',	            'cadoles_portal_config_item',               'fa fa-desktop',            'ROLE_ADMIN,ROLE_MODO', 'item_activate'),
(2530,	2500,	2530,	'Annonces',	            'cadoles_portal_config_alert',              'fa fa-bell',               'ROLE_ADMIN,ROLE_MODO', 'alert_activate'),
(2540,	2500,	2540,	'Calendriers',          'cadoles_portal_config_calendar',           'fa fa-calendar',           'ROLE_ADMIN,ROLE_MODO', 'calendar_activate'),
(2550,	2500,	2550,	'Blogs',                'cadoles_portal_config_blog',               'fa fa-paper-plane',        'ROLE_ADMIN,ROLE_MODO', 'blog_activate'),
(2560,	2500,	2560,	'Projects',             'cadoles_portal_config_project',            'fa fa-suitcase',           'ROLE_ADMIN,ROLE_MODO', 'project_activate'),
(2570,	2500,	2570,	'Flux',	                'cadoles_portal_config_flux',               'fa fa-rss',                'ROLE_ADMIN,ROLE_MODO', 'flux_activate'),
(2580,	2500,	2580,	'Chartes',	            'cadoles_portal_config_notice',             'fa fa-info',               'ROLE_ADMIN,ROLE_MODO', 'notice_activate'),
(2590,	2500,	2590,	'Icônes',	            'cadoles_portal_config_icon',               'fa fa-bug',	            'ROLE_ADMIN,ROLE_MODO', 'module_activate'),

(3000,	NULL,	3000,	'SYNCHRONISATION',      NULL,	                                    'fa fa-exchange-alt',       'ROLE_ADMIN,ROLE_MODO', 'syncenvole_activate'),
(3001,	3000,	3001,	'Délégation',           'cadoles_portal_config_syncdelegation',     'fa fa-balance-scale',      'ROLE_ADMIN,ROLE_MODO', 'syncenvole_activate'),
(3110,	3000,	3110,	'Balado',               'cadoles_portal_config_syncbalado',         'fa fa-microphone',         'ROLE_ADMIN,ROLE_MODO', 'widbalado_activate_syncenvole'),
(3115,	3000,	3115,	'GEPI via Annuaire',    'cadoles_portal_config_syncgepiannu',       'fa fa-tags',               'ROLE_ADMIN,ROLE_MODO', 'widgepi_activate_syncenvole'),
(3116,	3000,	3116,	'GEPI via SIECLE',      'cadoles_portal_config_syncgepisiecle',     'fa fa-tags',               'ROLE_ADMIN,ROLE_MODO', 'widgepi_activate_syncenvole'),
(3120,	3000,	3120,	'Limesurvey',           'cadoles_portal_config_synclimesurvey',     'fa fa-question',           'ROLE_ADMIN,ROLE_MODO', 'activate_widlimesurvey'),
(3130,	3000,	3130,	'Moodle',               'cadoles_portal_config_syncmoodle',         'fa fa-graduation-cap',     'ROLE_ADMIN,ROLE_MODO', 'activate_widmoodle'),
(3140,	3000,	3140,	'Nexcloud',             'cadoles_portal_config_syncnextcloud',      'fa fa-cloud',              'ROLE_ADMIN,ROLE_MODO', 'widnextcloud_activate_syncenvole'),
(3150,	3000,	3150,	'Sacoche via SIECLE',   'cadoles_portal_config_syncsacoche',        'fa fa-suitcase',           'ROLE_ADMIN,ROLE_MODO', 'widsacoche_activate_syncenvole'),
(3160,	3000,	3160,	'Piwik',                'cadoles_portal_config_syncpiwik',          'fa fa-signal',             'ROLE_ADMIN,ROLE_MODO', 'widpiwik_activate_syncenvole'),
(3230,	3000,	3230,	'Wordpress',            'cadoles_portal_config_syncwordpress',      'fab fa-wordpress',         'ROLE_ADMIN,ROLE_MODO', 'activate_widwordpress'),

(6000,	NULL,	6000,	'OUTILS',                NULL,	                                    'fa fa-wrench',	            'ROLE_ADMIN,ROLE_MODO', ''),
(6010,	6000,	6010,	'Statistiques',         'cadoles_core_config_statistic',  	        'fa fa-chart-bar',          'ROLE_ADMIN,ROLE_MODO', ''),
(6020,	6000,	6020,	'Mailing',	            'cadoles_core_config_mailing',  	        'fa fa-envelope',           'ROLE_ADMIN,ROLE_MODO', ''),
(6030,	6000,	6030,	'Import Utilisateurs',	'cadoles_core_config_importuser',	        'fa fa-download',           'ROLE_ADMIN,ROLE_MODO', 'importuser_activate'),

(7000,	NULL,	7000,	'CRON',	                NULL,	                                    'fa fa-bolt',	            'ROLE_ADMIN,ROLE_MODO', 'cron_activate'),
(7010,	7000,	7010,	'Jobs',	                'cadoles_cron_config',                      'fa fa-bullseye',           'ROLE_ADMIN,ROLE_MODO', 'cron_activate'),
(7020,	7000,	7020,	'Logs / Dump',          'cadoles_cron_config_log',                  'fa fa-list-alt',           'ROLE_ADMIN,ROLE_MODO', 'cron_activate');


DELETE FROM `config` WHERE `changeable` = 0;
INSERT IGNORE INTO `config` (`order`, `visible`, `changeable`, `required`, `type`, `id`, `value`,  `grouped`, `help`) VALUES
('001', 1, 1, 1, 'string', 			'appname',			'Ninegate',												    '',				'Le titre de votre site'),
('002', 1, 0, 1, 'string', 			'version',			'1.0.0',													'',				'Version de l\'application'),
('003', 1, 1, 0, 'string', 			'subappname',		'Portail',										            '',				'Le sous titre de votre site'),
('004', 1, 1, 1, 'logo', 			'logo',		        'uploads/logo/logo.png',		    			            '',				'Le logo de votre site'),
('005', 0, 1, 0, 'theme', 			'theme',		    '',		    			                                    '',				'Le theme de votre site'),
('006', 0, 1, 0, 'datauser',     	'datauser',		    '',		    			                                    '',				'Parametrage des champs utilisateurs : obligatoire / facultatif / caché'),
('007', 0, 1, 0, 'datausers',     	'datausers',	    '',		    			                                    '',				'Parametrage des colonnes visible dans la liste des utilisateurs'),

('010', 1, 1, 1, 'boolean',  		'fgforceconnect',	'0',										                '',				'Forcer la connexion afin de rendre votre site privé'),

('040', 1, 1, 1, 'boolean',         'fgheader',	        '1',		    			                                '',				'Utiliser une image en bannière du site'),
('041', 1, 1, 1, 'header',          'header',	        'uploads/header/header.png',                                'fgheader',		'Image en bannière du site'),
('042', 1, 1, 1, 'integer',         'heightheader',     '100',		    			                                'fgheader',		'Hauteur de la bannière du site'),

('050', 1, 1, 1, 'color', 			'colormain',	    '2c3e50',													'',				'Couleur principale de votre site'),
('051', 1, 1, 1, 'color', 			'fontcolorhover',   'ffffff',													'',				'Couleur de la police sur couleur principale'),
('052', 1, 1, 1, 'color', 			'colorbody',        'ffffff',													'',				'Couleur de fond de vos pages'),

('060', 1, 1, 1, 'font', 			'fontfacetitle',    'Anton-Regular',											'',				'Police des titres de votre site'),
('061', 1, 1, 1, 'font', 			'fontfacebody',     'Helvetica',				    						    '',				'Police des titres de votre site'),

%if %%activer_proxy_client == 'oui'
('200', 1, 0, 1, 'boolean', 		'PROXYactivate',	'1',														'',             'Définit un Proxy'),
('201', 1, 0, 1, 'string', 			'PROXYserver',		'%%proxy_client_adresse',									'PROXYactivate','Adresse du Proxy'),
('202', 1, 0, 1, 'string', 			'PROXYport',		'%%proxy_client_port',										'PROXYactivate','Port du Proxy'),
%else
('200', 1, 0, 1, 'boolean',			'PROXYactivate',	'0',														'',             'Définit un Proxy'),
('201', 1, 0, 1, 'string', 			'PROXYserver',		'',															'PROXYactivate','Adresse du Proxy'),
('202', 1, 0, 1, 'string', 			'PROXYport',		'',															'PROXYactivate','Port du Proxy'),
%end if

('500', 1, 1, 1, 'permgroup',		'permgroup',        'ROLE_ANIM',											    '',				'Determine quel rôle aura la permission de créer des groupes de travail');


INSERT IGNORE permmodo (`route`, `visible`) VALUES
('cadoles_core_config_commun',0),
('cadoles_core_config_theme',0),
('cadoles_core_config_datauser',0),
('cadoles_core_config_datausers',0),
('cadoles_core_config_whitelist',0),
('cadoles_core_config_niveau01',1),
('cadoles_core_config_niveau02',1),
('cadoles_core_config_group',1),
('cadoles_core_config_registration',1),
('cadoles_core_config_user',1),
('cadoles_portal_config_pagetemplate',1),
('cadoles_portal_config_page',1),
('cadoles_portal_config_item',1),
('cadoles_portal_config_alert',1),
('cadoles_portal_config_calendar',1),
('cadoles_portal_config_blog',1),
('cadoles_portal_config_project',1),
('cadoles_portal_config_flux',1),
('cadoles_portal_config_notice',1),
('cadoles_portal_config_icon',1),
('cadoles_portal_config_synclimesurvey',0),
('cadoles_portal_config_syncmoodle',0),
('cadoles_portal_config_syncwordpress',0),
('cadoles_core_config_statistic',1),
('cadoles_core_config_mailing',1),
('cadoles_core_config_importuser',0),
('cadoles_cron_config',0),
('cadoles_cron_config_log',0);
